<ul class="nav-links" [ngStyle]="{ gap: gap }">
  <li *ngFor="let link of links; let i = index" class="link-item">
    <a
      (mouseover)="shownBottomLine = i"
      (mouseout)="shownBottomLine = -1"
      [href]="link.link"
      [ngClass]="{
        'light-font': color === 'light',
        'light-grayed-font': color === 'lightgray'
      }"
    >
      {{ link.label }}
    </a>
    <app-bottom-line
      [show]="shownBottomLine === i"
    ></app-bottom-line>
  </li>
</ul>
